package com.steering.mes.mcp.entity;
/**
 * 数据库表PLN_ZY_JG所对应的实体类（生成工具：代码生成器2.4）
 * @author PC-201412141732   date 2016-04-12
 */
public class PlnZyJgEntity {
    /**
     * 是否需镀铜
     */
    private String ifPlateCu;
    public String getProduccodeJg() {
		return produccodeJg;
	}

	public void setProduccodeJg(String produccodeJg) {
		this.produccodeJg = produccodeJg;
	}

	public String getProduccodeJgDesc() {
		return produccodeJgDesc;
	}

	public void setProduccodeJgDesc(String produccodeJgDesc) {
		this.produccodeJgDesc = produccodeJgDesc;
	}

	/**
     * 是否委外镀铜（0否，1是）
     */
    private String ifOutPltCu;
    /**
     * 镀铜单位
     */
    private String pltCuDept;
    /**
     * 计划镀铜个数
     */
    private String planPltcuNum;
    /**
     * 计划镀铜时间
     */
    private String planPltcuTime;
    /**
     * 镀铜有效个数
     */
    private String pltCuOkNum;
    /**
     * 镀铜状态（0计划，1生产中，2生产完成，9不需镀铜）
     */
    private String pltCuStatus;
    /**
     * 是否需磷化
     */
    private String ifPhosphating;
    /**
     * 是否委外磷化（0否，1是）
     */
    private String ifOutPhos;
    /**
     * 磷化单位
     */
    private String phosDept;
    /**
     * 计划磷化个数
     */
    private String planPhosNum;
    /**
     * 计划磷化时间
     */
    private String planPhosTime;
    /**
     * 磷化有效个数
     */
    private String phosOkNum;
    /**
     * 磷化状态（0计划，1生产中，2生产完成，9不需磷化）
     */
    private String phosStatus;
    /**
     * 是否需喷标
     */
    private String ifCopper;
    /**
     * 喷标单位
     */
    private String copperDept;
    /**
     * 计划喷标时间
     */
    private String planCopperTime;
    /**
     * 计划喷标个数
     */
    private String planCopperNum;
    /**
     * 
     */
    /**
     * 实际喷标个数
     */
    private String copperOkNum;
    /**
     * 喷标状态（0计划，1生产中，2生产完成，9不需喷标）
     */
    private String copperStatus;
    /**
     * 判定有效个数
     */
    private String judgeOkNum;
    /**
     * 判废个数
     */
    private String judgeFailNum;
    /**
     * 综合判定状态（0待判，1已判，2待复判）
     */
    private String judgeStatus;
    /**
     * 实际交库个数
     */
    private String instoreNum;
    /**
     * 交库状态（0待交库，1部分交库，2交库完成）
     */
    private String instoreStatus;
    /**
     * 工单状态（0计划，1下发，2生产中，3生产完成，4交库完成，5取消）
     */
    private String zyPlanStatus;
    /**
     * 备注
     */
    private String memo;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 下发人
     */
    private String updateName;
    /**
     * 下发时间
     */
    private String updateTime;
    /**
     * 客户Alpha编号
     */
    private String custAlphaNo;
    /**
     * 产品特殊要求描述
     */
    private String orderSpecialDesc;
    /**
     * 用途代码
     */
    private String alphaCode;
    /**
     * 作业工单号
     */
    private String zyPlanId;
    /**
     * 接箍工序订单编号
     */
    private String proPlanId;
    /**
     * 属性分组号
     */
    private String jgGroupId;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 性能批号
     */
    private String batchNo;
    /**
     * 是否全项委托（0否，1是）
     */
    private String ifAllOutWork;
    /**
     * 接箍产线代码
     */
    private String plineCode;
    /**
     * 接箍产线描述
     */
    private String plineName;
    /**
     * 接箍备料码
     */
    private String codeJgBl;
    /**
     * 接箍料物料编码
     */
    private String blWlId;
    /**
     * 接箍料物料描述
     */
    private String blWlDesc;
    /**
     * 钢级(牌号)代码
     */
    private String steelcode;
    /**
     * 钢级(牌号)名称
     */
    private String steelname;
    /**
     * 钢种代码
     */
    private String gradecode;
    /**
     * 钢种名称
     */
    private String gradename;
    /**
     * 接箍料外径(mm)
     */
    private String minD;
    /**
     * 接箍料壁厚(mm)
     */
    private String minH;
    /**
     * 接箍料目标长度
     */
    private String aimlengthBl;
    /**
     * 目标切管长
     */
    private String aimCutLen;
    /**
     * 接箍坯料长度min
     */
    private String lengthMin;
    /**
     * 接箍坯料长度max
     */
    private String lengthMax;
    /**
     * 接箍坯料锥度
     */
    private String taper;
    /**
     * 接箍码
     */
    private String codeJg;
    /**
     * 扣型代码
     */
    private String modelCode;
    /**
     * 接箍扣型描述
     */
    private String modelDesc;
    /**
     * 外径
     */
    private String outdiameter;
    /**
     * 临界壁厚
     */
    private String wallthick;
    /**
     * 接箍规格代码
     */
    private String specJg;
    /**
     * 接箍规格描述
     */
    private String specJgDesc;
    /**
     * 中孔类别(I、II、III、IV...)
     */
    private String styleJg;
    /**
     * 中孔内径
     */
    private String diameter;
    /**
     * 测量J值
     */
    private String checkJVal;
    /**
     * 接箍长度
     */
    private String aimlength;
    /**
     * 单重
     */
    private String singleweight;
    /**
     * 涂层类型（镀铜、磷化）
     */
    private String coatType;
    /**
     * 计划接箍个数
     */
    private String planJgNum;
    /**
     * 工单接箍料支数
     */
    private String planBlNum;
    /**
     * 工单接箍料重量
     */
    private String planBlWt;
    /**
     * 实际使用接箍料支数
     */
    private String useBlNum;
    /**
     * 实际使用接箍料重量
     */
    private String useBlWt;
    /**
     * 监制要求
     */
    private String monitordemand;
    /**
     * 是否接箍监制
     */
    private String ifMonitorJg;
    /**
     * 监制编号
     */
    private String prdcrNo;
    /**
     * 是否委外锯切（0否，1是）
     */
    private String ifOutCut;
    /**
     * 切管机床组号
     */
    private String cutMachGrpNo;
    /**
     * 切管机床组
     */
    private String cutMachGrpNm;
    /**
     * 计划切坯个数
     */
    private String planCutNum;
    /**
     * 计划锯切时间
     */
    private String planCutTime;
    /**
     * 实切有效个数
     */
    private String cutOkNum;
    /**
     * 切废个数
     */
    private String cutFailNum;
    /**
     * 切管状态（0计划，1生产中，2生产完成）
     */
    private String cutStatus;
    /**
     * 是否需粗加工
     */
    private String ifNeedCjg;
    /**
     * 是否委外粗加工（0否，1是）
     */
    private String ifOutCjg;
    /**
     * 粗加工单位
     */
    private String cjgDept;
    /**
     * 计划粗加工个数
     */
    private String planCjgNum;
    /**
     * 计划粗加工时间
     */
    private String planCjgTime;
    /**
     * 实际粗加工个数
     */
    private String cjgOkNum;
    /**
     * 粗加工状态（0计划，1生产中，2生产完成）
     */
    private String cjgStatus;
    /**
     * 压印喷标要求（4项之一）
     */
    private String demandCopper;
    /**
     * 是否需压印
     */
    private String ifImpress;
    /**
     * 是否委外压印（0否，1是）
     */
    private String ifOutImpress;
    /**
     * 压印单位
     */
    private String impressDept;
    /**
     * 计划压印个数
     */
    private String planImpressNum;
    /**
     * 计划压印时间
     */
    private String planImpressTime;
    /**
     * 实际压印个数
     */
    private String impressOkNum;
    /**
     * 压印状态（0计划，1生产中，2生产完成，9不需压印）
     */
    private String impressStatus;
    /**
     * 是否委外车丝（0否，1是）
     */
    private String ifOutLathe;
    /**
     * 车丝机床组号
     */
    private String latheGrpNo;
    /**
     * 车丝机床组
     */
    private String latheGrpNm;
    /**
     * 计划车丝个数
     */
    private String planLatheNum;
    /**
     * 计划车丝时间
     */
    private String planLthTime;
    /**
     * 计划车丝耗时(分)
     */
    private String planLthUsetime;
    /**
     * 车丝有效个数
     */
    private String latheOkNum;
    /**
     * 车丝报废个数
     */
    private String latheFailNum;
    /**
     * 车丝状态（0计划，1生产中，2生产完成）
     */
    private String latheStatus;
    /**
     * 螺纹检验有效个数
     */
    private String threadChkOkNum;
    /**
     * 螺纹检验报废个数
     */
    private String threadChkFailNum;
    /**
     * 螺纹检验状态（0计划，1检验中，2检验完成）
     */
    private String threadChkStatus;
    /**
     * 探伤要求（4项之一，408401）
     */
    private String demandDetection;
    /**
     * 是否委外探伤（0否，1是）
     */
    private String ifOutDetect;
    /**
     * 探伤单位
     */
    private String detectDept;
    /**
     * 计划探伤时间
     */
    private String planDetectTime;
    /**
     * 计划探伤个数
     */
    private String planDetectNum;
    /**
     * 探伤有效个数
     */
    private String detectOkNum;
    /**
     * 探伤剔废个数
     */
    private String detectFailNum;
    /**
     * 探伤状态（0计划，1生产中，2生产完成，9不需探伤）
     */
    private String detectStatus;
    /**
     * 是否需喷砂
     */
    private String ifBlast;
    /**
     * 喷砂要求（4项之一）
     */
    private String demandBlast;
    /**
     * 是否委外喷砂（0否，1是）
     */
    private String ifOutBlast;
    /**
     * 喷砂单位
     */
    private String blastDept;
    /**
     * 计划喷砂个数
     */
    private String planBlastNum;
    /**
     * 计划喷砂时间
     */
    private String planBlastTime;
    /**
     * 喷砂有效个数
     */
    private String blastOkNum;
    /**
     * 喷砂状态（0计划，1生产中，2生产完成，9不需喷砂）
     */
    private String blastStatus;
    /**
     * 抽检有效个数
     */
    private String spotChkOkNum;
    /**
     * 抽检剔废个数
     */
    private String spotChkFailNum;
    /**
     * 抽检状态（0计划，1生产中，2生产完成，9不抽检）
     */
    private String spotChkStatus;
    /**
     * 磷化镀铜要求（4项之一，408402）
     */
    private String demandBonderizing;
    /**
     * 接箍品种代码PRODUCCODE_JG
     */
    private String produccodeJg = "";
    /**
     * 接箍品种名称PRODUCCODE_JG_DESC
     */
    private String produccodeJgDesc = "";

    public PlnZyJgEntity(){
        ifPlateCu = "";
        ifOutPltCu = "";
        pltCuDept = "";
        planPltcuNum = "";
        planPltcuTime = "";
        pltCuOkNum = "";
        pltCuStatus = "";
        ifPhosphating = "";
        ifOutPhos = "";
        phosDept = "";
        planPhosNum = "";
        planPhosTime = "";
        phosOkNum = "";
        phosStatus = "";
        ifCopper = "";
        copperDept = "";
        planCopperTime = "";
        planCopperNum = "";
        copperOkNum = "";
        copperStatus = "";
        judgeOkNum = "";
        judgeFailNum = "";
        judgeStatus = "";
        instoreNum = "";
        instoreStatus = "";
        zyPlanStatus = "";
        memo = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        custAlphaNo = "";
        orderSpecialDesc = "";
        alphaCode = "";
        zyPlanId = "";
        proPlanId = "";
        jgGroupId = "";
        judgeStoveNo = "";
        batchNo = "";
        ifAllOutWork = "";
        plineCode = "";
        plineName = "";
        codeJgBl = "";
        blWlId = "";
        blWlDesc = "";
        steelcode = "";
        steelname = "";
        gradecode = "";
        gradename = "";
        minD = "";
        minH = "";
        aimlengthBl = "";
        aimCutLen = "";
        lengthMin = "";
        lengthMax = "";
        taper = "";
        codeJg = "";
        modelCode = "";
        modelDesc = "";
        outdiameter = "";
        wallthick = "";
        specJg = "";
        specJgDesc = "";
        styleJg = "";
        diameter = "";
        checkJVal = "";
        aimlength = "";
        singleweight = "";
        coatType = "";
        planJgNum = "";
        planBlNum = "";
        planBlWt = "";
        useBlNum = "";
        useBlWt = "";
        monitordemand = "";
        ifMonitorJg = "";
        prdcrNo = "";
        ifOutCut = "";
        cutMachGrpNo = "";
        cutMachGrpNm = "";
        planCutNum = "";
        planCutTime = "";
        cutOkNum = "";
        cutFailNum = "";
        cutStatus = "";
        ifNeedCjg = "";
        ifOutCjg = "";
        cjgDept = "";
        planCjgNum = "";
        planCjgTime = "";
        cjgOkNum = "";
        cjgStatus = "";
        demandCopper = "";
        ifImpress = "";
        ifOutImpress = "";
        impressDept = "";
        planImpressNum = "";
        planImpressTime = "";
        impressOkNum = "";
        impressStatus = "";
        ifOutLathe = "";
        latheGrpNo = "";
        latheGrpNm = "";
        planLatheNum = "";
        planLthTime = "";
        planLthUsetime = "";
        latheOkNum = "";
        latheFailNum = "";
        latheStatus = "";
        threadChkOkNum = "";
        threadChkFailNum = "";
        threadChkStatus = "";
        demandDetection = "";
        ifOutDetect = "";
        detectDept = "";
        planDetectTime = "";
        planDetectNum = "";
        detectOkNum = "";
        detectFailNum = "";
        detectStatus = "";
        ifBlast = "";
        demandBlast = "";
        ifOutBlast = "";
        blastDept = "";
        planBlastNum = "";
        planBlastTime = "";
        blastOkNum = "";
        blastStatus = "";
        spotChkOkNum = "";
        spotChkFailNum = "";
        spotChkStatus = "";
        demandBonderizing = "";
    }

    /**
     * 是否需镀铜
     * @return value
     */
    public String getIfPlateCu() {
        return ifPlateCu;
    }

    /**
     * 是否需镀铜
     * @param ifPlateCu value
     */
    public void setIfPlateCu(String ifPlateCu) {
        this.ifPlateCu = ifPlateCu;
    }

    /**
     * 是否委外镀铜（0否，1是）
     * @return value
     */
    public String getIfOutPltCu() {
        return ifOutPltCu;
    }

    /**
     * 是否委外镀铜（0否，1是）
     * @param ifOutPltCu value
     */
    public void setIfOutPltCu(String ifOutPltCu) {
        this.ifOutPltCu = ifOutPltCu;
    }

    /**
     * 镀铜单位
     * @return value
     */
    public String getPltCuDept() {
        return pltCuDept;
    }

    /**
     * 镀铜单位
     * @param pltCuDept value
     */
    public void setPltCuDept(String pltCuDept) {
        this.pltCuDept = pltCuDept;
    }

    /**
     * 计划镀铜个数
     * @return value
     */
    public String getPlanPltcuNum() {
        return planPltcuNum;
    }

    /**
     * 计划镀铜个数
     * @param planPltcuNum value
     */
    public void setPlanPltcuNum(String planPltcuNum) {
        this.planPltcuNum = planPltcuNum;
    }

    /**
     * 计划镀铜时间
     * @return value
     */
    public String getPlanPltcuTime() {
        return planPltcuTime;
    }

    /**
     * 计划镀铜时间
     * @param planPltcuTime value
     */
    public void setPlanPltcuTime(String planPltcuTime) {
        this.planPltcuTime = planPltcuTime;
    }

    /**
     * 镀铜有效个数
     * @return value
     */
    public String getPltCuOkNum() {
        return pltCuOkNum;
    }

    /**
     * 镀铜有效个数
     * @param pltCuOkNum value
     */
    public void setPltCuOkNum(String pltCuOkNum) {
        this.pltCuOkNum = pltCuOkNum;
    }

    /**
     * 镀铜状态（0计划，1生产中，2生产完成，9不需镀铜）
     * @return value
     */
    public String getPltCuStatus() {
        return pltCuStatus;
    }

    /**
     * 镀铜状态（0计划，1生产中，2生产完成，9不需镀铜）
     * @param pltCuStatus value
     */
    public void setPltCuStatus(String pltCuStatus) {
        this.pltCuStatus = pltCuStatus;
    }

    /**
     * 是否需磷化
     * @return value
     */
    public String getIfPhosphating() {
        return ifPhosphating;
    }

    /**
     * 是否需磷化
     * @param ifPhosphating value
     */
    public void setIfPhosphating(String ifPhosphating) {
        this.ifPhosphating = ifPhosphating;
    }

    /**
     * 是否委外磷化（0否，1是）
     * @return value
     */
    public String getIfOutPhos() {
        return ifOutPhos;
    }

    /**
     * 是否委外磷化（0否，1是）
     * @param ifOutPhos value
     */
    public void setIfOutPhos(String ifOutPhos) {
        this.ifOutPhos = ifOutPhos;
    }

    /**
     * 磷化单位
     * @return value
     */
    public String getPhosDept() {
        return phosDept;
    }

    /**
     * 磷化单位
     * @param phosDept value
     */
    public void setPhosDept(String phosDept) {
        this.phosDept = phosDept;
    }

    /**
     * 计划磷化个数
     * @return value
     */
    public String getPlanPhosNum() {
        return planPhosNum;
    }

    /**
     * 计划磷化个数
     * @param planPhosNum value
     */
    public void setPlanPhosNum(String planPhosNum) {
        this.planPhosNum = planPhosNum;
    }

    /**
     * 计划磷化时间
     * @return value
     */
    public String getPlanPhosTime() {
        return planPhosTime;
    }

    /**
     * 计划磷化时间
     * @param planPhosTime value
     */
    public void setPlanPhosTime(String planPhosTime) {
        this.planPhosTime = planPhosTime;
    }

    /**
     * 磷化有效个数
     * @return value
     */
    public String getPhosOkNum() {
        return phosOkNum;
    }

    /**
     * 磷化有效个数
     * @param phosOkNum value
     */
    public void setPhosOkNum(String phosOkNum) {
        this.phosOkNum = phosOkNum;
    }

    /**
     * 磷化状态（0计划，1生产中，2生产完成，9不需磷化）
     * @return value
     */
    public String getPhosStatus() {
        return phosStatus;
    }

    /**
     * 磷化状态（0计划，1生产中，2生产完成，9不需磷化）
     * @param phosStatus value
     */
    public void setPhosStatus(String phosStatus) {
        this.phosStatus = phosStatus;
    }

    /**
     * 是否需喷标
     * @return value
     */
    public String getIfCopper() {
        return ifCopper;
    }

    /**
     * 是否需喷标
     * @param ifCopper value
     */
    public void setIfCopper(String ifCopper) {
        this.ifCopper = ifCopper;
    }

    /**
     * 喷标单位
     * @return value
     */
    public String getCopperDept() {
        return copperDept;
    }

    /**
     * 喷标单位
     * @param copperDept value
     */
    public void setCopperDept(String copperDept) {
        this.copperDept = copperDept;
    }

    /**
     * 计划喷标时间
     * @return value
     */
    public String getPlanCopperTime() {
        return planCopperTime;
    }

    /**
     * 计划喷标时间
     * @param planCopperTime value
     */
    public void setPlanCopperTime(String planCopperTime) {
        this.planCopperTime = planCopperTime;
    }

    /**
     * 计划喷标个数
     * @return value
     */
    public String getPlanCopperNum() {
        return planCopperNum;
    }

    /**
     * 计划喷标个数
     * @param planCopperNum value
     */
    public void setPlanCopperNum(String planCopperNum) {
        this.planCopperNum = planCopperNum;
    }

    /**
     * 实际喷标个数
     * @return value
     */
    public String getCopperOkNum() {
        return copperOkNum;
    }

    /**
     * 实际喷标个数
     * @param copperOkNum value
     */
    public void setCopperOkNum(String copperOkNum) {
        this.copperOkNum = copperOkNum;
    }

    /**
     * 喷标状态（0计划，1生产中，2生产完成，9不需喷标）
     * @return value
     */
    public String getCopperStatus() {
        return copperStatus;
    }

    /**
     * 喷标状态（0计划，1生产中，2生产完成，9不需喷标）
     * @param copperStatus value
     */
    public void setCopperStatus(String copperStatus) {
        this.copperStatus = copperStatus;
    }

    /**
     * 判定有效个数
     * @return value
     */
    public String getJudgeOkNum() {
        return judgeOkNum;
    }

    /**
     * 判定有效个数
     * @param judgeOkNum value
     */
    public void setJudgeOkNum(String judgeOkNum) {
        this.judgeOkNum = judgeOkNum;
    }

    /**
     * 判废个数
     * @return value
     */
    public String getJudgeFailNum() {
        return judgeFailNum;
    }

    /**
     * 判废个数
     * @param judgeFailNum value
     */
    public void setJudgeFailNum(String judgeFailNum) {
        this.judgeFailNum = judgeFailNum;
    }

    /**
     * 综合判定状态（0待判，1已判，2待复判）
     * @return value
     */
    public String getJudgeStatus() {
        return judgeStatus;
    }

    /**
     * 综合判定状态（0待判，1已判，2待复判）
     * @param judgeStatus value
     */
    public void setJudgeStatus(String judgeStatus) {
        this.judgeStatus = judgeStatus;
    }

    /**
     * 实际交库个数
     * @return value
     */
    public String getInstoreNum() {
        return instoreNum;
    }

    /**
     * 实际交库个数
     * @param instoreNum value
     */
    public void setInstoreNum(String instoreNum) {
        this.instoreNum = instoreNum;
    }

    /**
     * 交库状态（0待交库，1部分交库，2交库完成）
     * @return value
     */
    public String getInstoreStatus() {
        return instoreStatus;
    }

    /**
     * 交库状态（0待交库，1部分交库，2交库完成）
     * @param instoreStatus value
     */
    public void setInstoreStatus(String instoreStatus) {
        this.instoreStatus = instoreStatus;
    }

    /**
     * 工单状态（0计划，1下发，2生产中，3生产完成，4交库完成，5取消）
     * @return value
     */
    public String getZyPlanStatus() {
        return zyPlanStatus;
    }

    /**
     * 工单状态（0计划，1下发，2生产中，3生产完成，4交库完成，5取消）
     * @param zyPlanStatus value
     */
    public void setZyPlanStatus(String zyPlanStatus) {
        this.zyPlanStatus = zyPlanStatus;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 下发人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 下发人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 下发时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 下发时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 客户Alpha编号
     * @return value
     */
    public String getCustAlphaNo() {
        return custAlphaNo;
    }

    /**
     * 客户Alpha编号
     * @param custAlphaNo value
     */
    public void setCustAlphaNo(String custAlphaNo) {
        this.custAlphaNo = custAlphaNo;
    }

    /**
     * 产品特殊要求描述
     * @return value
     */
    public String getOrderSpecialDesc() {
        return orderSpecialDesc;
    }

    /**
     * 产品特殊要求描述
     * @param orderSpecialDesc value
     */
    public void setOrderSpecialDesc(String orderSpecialDesc) {
        this.orderSpecialDesc = orderSpecialDesc;
    }

    /**
     * 用途代码
     * @return value
     */
    public String getAlphaCode() {
        return alphaCode;
    }

    /**
     * 用途代码
     * @param alphaCode value
     */
    public void setAlphaCode(String alphaCode) {
        this.alphaCode = alphaCode;
    }

    /**
     * 作业工单号
     * @return value
     */
    public String getZyPlanId() {
        return zyPlanId;
    }

    /**
     * 作业工单号
     * @param zyPlanId value
     */
    public void setZyPlanId(String zyPlanId) {
        this.zyPlanId = zyPlanId;
    }

    /**
     * 接箍工序订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 接箍工序订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 属性分组号
     * @return value
     */
    public String getJgGroupId() {
        return jgGroupId;
    }

    /**
     * 属性分组号
     * @param jgGroupId value
     */
    public void setJgGroupId(String jgGroupId) {
        this.jgGroupId = jgGroupId;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 性能批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 性能批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 是否全项委托（0否，1是）
     * @return value
     */
    public String getIfAllOutWork() {
        return ifAllOutWork;
    }

    /**
     * 是否全项委托（0否，1是）
     * @param ifAllOutWork value
     */
    public void setIfAllOutWork(String ifAllOutWork) {
        this.ifAllOutWork = ifAllOutWork;
    }

    /**
     * 接箍产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 接箍产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 接箍产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 接箍产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 接箍备料码
     * @return value
     */
    public String getCodeJgBl() {
        return codeJgBl;
    }

    /**
     * 接箍备料码
     * @param codeJgBl value
     */
    public void setCodeJgBl(String codeJgBl) {
        this.codeJgBl = codeJgBl;
    }

    /**
     * 接箍料物料编码
     * @return value
     */
    public String getBlWlId() {
        return blWlId;
    }

    /**
     * 接箍料物料编码
     * @param blWlId value
     */
    public void setBlWlId(String blWlId) {
        this.blWlId = blWlId;
    }

    /**
     * 接箍料物料描述
     * @return value
     */
    public String getBlWlDesc() {
        return blWlDesc;
    }

    /**
     * 接箍料物料描述
     * @param blWlDesc value
     */
    public void setBlWlDesc(String blWlDesc) {
        this.blWlDesc = blWlDesc;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 接箍料外径(mm)
     * @return value
     */
    public String getMinD() {
        return minD;
    }

    /**
     * 接箍料外径(mm)
     * @param minD value
     */
    public void setMinD(String minD) {
        this.minD = minD;
    }

    /**
     * 接箍料壁厚(mm)
     * @return value
     */
    public String getMinH() {
        return minH;
    }

    /**
     * 接箍料壁厚(mm)
     * @param minH value
     */
    public void setMinH(String minH) {
        this.minH = minH;
    }

    /**
     * 接箍料目标长度
     * @return value
     */
    public String getAimlengthBl() {
        return aimlengthBl;
    }

    /**
     * 接箍料目标长度
     * @param aimlengthBl value
     */
    public void setAimlengthBl(String aimlengthBl) {
        this.aimlengthBl = aimlengthBl;
    }

    /**
     * 目标切管长
     * @return value
     */
    public String getAimCutLen() {
        return aimCutLen;
    }

    /**
     * 目标切管长
     * @param aimCutLen value
     */
    public void setAimCutLen(String aimCutLen) {
        this.aimCutLen = aimCutLen;
    }

    /**
     * 接箍坯料长度min
     * @return value
     */
    public String getLengthMin() {
        return lengthMin;
    }

    /**
     * 接箍坯料长度min
     * @param lengthMin value
     */
    public void setLengthMin(String lengthMin) {
        this.lengthMin = lengthMin;
    }

    /**
     * 接箍坯料长度max
     * @return value
     */
    public String getLengthMax() {
        return lengthMax;
    }

    /**
     * 接箍坯料长度max
     * @param lengthMax value
     */
    public void setLengthMax(String lengthMax) {
        this.lengthMax = lengthMax;
    }

    /**
     * 接箍坯料锥度
     * @return value
     */
    public String getTaper() {
        return taper;
    }

    /**
     * 接箍坯料锥度
     * @param taper value
     */
    public void setTaper(String taper) {
        this.taper = taper;
    }

    /**
     * 接箍码
     * @return value
     */
    public String getCodeJg() {
        return codeJg;
    }

    /**
     * 接箍码
     * @param codeJg value
     */
    public void setCodeJg(String codeJg) {
        this.codeJg = codeJg;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 接箍扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 接箍扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 外径
     * @return value
     */
    public String getOutdiameter() {
        return outdiameter;
    }

    /**
     * 外径
     * @param outdiameter value
     */
    public void setOutdiameter(String outdiameter) {
        this.outdiameter = outdiameter;
    }

    /**
     * 临界壁厚
     * @return value
     */
    public String getWallthick() {
        return wallthick;
    }

    /**
     * 临界壁厚
     * @param wallthick value
     */
    public void setWallthick(String wallthick) {
        this.wallthick = wallthick;
    }

    /**
     * 接箍规格代码
     * @return value
     */
    public String getSpecJg() {
        return specJg;
    }

    /**
     * 接箍规格代码
     * @param specJg value
     */
    public void setSpecJg(String specJg) {
        this.specJg = specJg;
    }

    /**
     * 接箍规格描述
     * @return value
     */
    public String getSpecJgDesc() {
        return specJgDesc;
    }

    /**
     * 接箍规格描述
     * @param specJgDesc value
     */
    public void setSpecJgDesc(String specJgDesc) {
        this.specJgDesc = specJgDesc;
    }

    /**
     * 中孔类别(I、II、III、IV...)
     * @return value
     */
    public String getStyleJg() {
        return styleJg;
    }

    /**
     * 中孔类别(I、II、III、IV...)
     * @param styleJg value
     */
    public void setStyleJg(String styleJg) {
        this.styleJg = styleJg;
    }

    /**
     * 中孔内径
     * @return value
     */
    public String getDiameter() {
        return diameter;
    }

    /**
     * 中孔内径
     * @param diameter value
     */
    public void setDiameter(String diameter) {
        this.diameter = diameter;
    }

    /**
     * 测量J值
     * @return value
     */
    public String getCheckJVal() {
        return checkJVal;
    }

    /**
     * 测量J值
     * @param checkJVal value
     */
    public void setCheckJVal(String checkJVal) {
        this.checkJVal = checkJVal;
    }

    /**
     * 接箍长度
     * @return value
     */
    public String getAimlength() {
        return aimlength;
    }

    /**
     * 接箍长度
     * @param aimlength value
     */
    public void setAimlength(String aimlength) {
        this.aimlength = aimlength;
    }

    /**
     * 单重
     * @return value
     */
    public String getSingleweight() {
        return singleweight;
    }

    /**
     * 单重
     * @param singleweight value
     */
    public void setSingleweight(String singleweight) {
        this.singleweight = singleweight;
    }

    /**
     * 涂层类型（镀铜、磷化）
     * @return value
     */
    public String getCoatType() {
        return coatType;
    }

    /**
     * 涂层类型（镀铜、磷化）
     * @param coatType value
     */
    public void setCoatType(String coatType) {
        this.coatType = coatType;
    }

    /**
     * 计划接箍个数
     * @return value
     */
    public String getPlanJgNum() {
        return planJgNum;
    }

    /**
     * 计划接箍个数
     * @param planJgNum value
     */
    public void setPlanJgNum(String planJgNum) {
        this.planJgNum = planJgNum;
    }

    /**
     * 工单接箍料支数
     * @return value
     */
    public String getPlanBlNum() {
        return planBlNum;
    }

    /**
     * 工单接箍料支数
     * @param planBlNum value
     */
    public void setPlanBlNum(String planBlNum) {
        this.planBlNum = planBlNum;
    }

    /**
     * 工单接箍料重量
     * @return value
     */
    public String getPlanBlWt() {
        return planBlWt;
    }

    /**
     * 工单接箍料重量
     * @param planBlWt value
     */
    public void setPlanBlWt(String planBlWt) {
        this.planBlWt = planBlWt;
    }

    /**
     * 实际使用接箍料支数
     * @return value
     */
    public String getUseBlNum() {
        return useBlNum;
    }

    /**
     * 实际使用接箍料支数
     * @param useBlNum value
     */
    public void setUseBlNum(String useBlNum) {
        this.useBlNum = useBlNum;
    }

    /**
     * 实际使用接箍料重量
     * @return value
     */
    public String getUseBlWt() {
        return useBlWt;
    }

    /**
     * 实际使用接箍料重量
     * @param useBlWt value
     */
    public void setUseBlWt(String useBlWt) {
        this.useBlWt = useBlWt;
    }

    /**
     * 监制要求
     * @return value
     */
    public String getMonitordemand() {
        return monitordemand;
    }

    /**
     * 监制要求
     * @param monitordemand value
     */
    public void setMonitordemand(String monitordemand) {
        this.monitordemand = monitordemand;
    }

    /**
     * 是否接箍监制
     * @return value
     */
    public String getIfMonitorJg() {
        return ifMonitorJg;
    }

    /**
     * 是否接箍监制
     * @param ifMonitorJg value
     */
    public void setIfMonitorJg(String ifMonitorJg) {
        this.ifMonitorJg = ifMonitorJg;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 是否委外锯切（0否，1是）
     * @return value
     */
    public String getIfOutCut() {
        return ifOutCut;
    }

    /**
     * 是否委外锯切（0否，1是）
     * @param ifOutCut value
     */
    public void setIfOutCut(String ifOutCut) {
        this.ifOutCut = ifOutCut;
    }

    /**
     * 切管机床组号
     * @return value
     */
    public String getCutMachGrpNo() {
        return cutMachGrpNo;
    }

    /**
     * 切管机床组号
     * @param cutMachGrpNo value
     */
    public void setCutMachGrpNo(String cutMachGrpNo) {
        this.cutMachGrpNo = cutMachGrpNo;
    }

    /**
     * 切管机床组
     * @return value
     */
    public String getCutMachGrpNm() {
        return cutMachGrpNm;
    }

    /**
     * 切管机床组
     * @param cutMachGrpNm value
     */
    public void setCutMachGrpNm(String cutMachGrpNm) {
        this.cutMachGrpNm = cutMachGrpNm;
    }

    /**
     * 计划切坯个数
     * @return value
     */
    public String getPlanCutNum() {
        return planCutNum;
    }

    /**
     * 计划切坯个数
     * @param planCutNum value
     */
    public void setPlanCutNum(String planCutNum) {
        this.planCutNum = planCutNum;
    }

    /**
     * 计划锯切时间
     * @return value
     */
    public String getPlanCutTime() {
        return planCutTime;
    }

    /**
     * 计划锯切时间
     * @param planCutTime value
     */
    public void setPlanCutTime(String planCutTime) {
        this.planCutTime = planCutTime;
    }

    /**
     * 实切有效个数
     * @return value
     */
    public String getCutOkNum() {
        return cutOkNum;
    }

    /**
     * 实切有效个数
     * @param cutOkNum value
     */
    public void setCutOkNum(String cutOkNum) {
        this.cutOkNum = cutOkNum;
    }

    /**
     * 切废个数
     * @return value
     */
    public String getCutFailNum() {
        return cutFailNum;
    }

    /**
     * 切废个数
     * @param cutFailNum value
     */
    public void setCutFailNum(String cutFailNum) {
        this.cutFailNum = cutFailNum;
    }

    /**
     * 切管状态（0计划，1生产中，2生产完成）
     * @return value
     */
    public String getCutStatus() {
        return cutStatus;
    }

    /**
     * 切管状态（0计划，1生产中，2生产完成）
     * @param cutStatus value
     */
    public void setCutStatus(String cutStatus) {
        this.cutStatus = cutStatus;
    }

    /**
     * 是否需粗加工
     * @return value
     */
    public String getIfNeedCjg() {
        return ifNeedCjg;
    }

    /**
     * 是否需粗加工
     * @param ifNeedCjg value
     */
    public void setIfNeedCjg(String ifNeedCjg) {
        this.ifNeedCjg = ifNeedCjg;
    }

    /**
     * 是否委外粗加工（0否，1是）
     * @return value
     */
    public String getIfOutCjg() {
        return ifOutCjg;
    }

    /**
     * 是否委外粗加工（0否，1是）
     * @param ifOutCjg value
     */
    public void setIfOutCjg(String ifOutCjg) {
        this.ifOutCjg = ifOutCjg;
    }

    /**
     * 粗加工单位
     * @return value
     */
    public String getCjgDept() {
        return cjgDept;
    }

    /**
     * 粗加工单位
     * @param cjgDept value
     */
    public void setCjgDept(String cjgDept) {
        this.cjgDept = cjgDept;
    }

    /**
     * 计划粗加工个数
     * @return value
     */
    public String getPlanCjgNum() {
        return planCjgNum;
    }

    /**
     * 计划粗加工个数
     * @param planCjgNum value
     */
    public void setPlanCjgNum(String planCjgNum) {
        this.planCjgNum = planCjgNum;
    }

    /**
     * 计划粗加工时间
     * @return value
     */
    public String getPlanCjgTime() {
        return planCjgTime;
    }

    /**
     * 计划粗加工时间
     * @param planCjgTime value
     */
    public void setPlanCjgTime(String planCjgTime) {
        this.planCjgTime = planCjgTime;
    }

    /**
     * 实际粗加工个数
     * @return value
     */
    public String getCjgOkNum() {
        return cjgOkNum;
    }

    /**
     * 实际粗加工个数
     * @param cjgOkNum value
     */
    public void setCjgOkNum(String cjgOkNum) {
        this.cjgOkNum = cjgOkNum;
    }

    /**
     * 粗加工状态（0计划，1生产中，2生产完成）
     * @return value
     */
    public String getCjgStatus() {
        return cjgStatus;
    }

    /**
     * 粗加工状态（0计划，1生产中，2生产完成）
     * @param cjgStatus value
     */
    public void setCjgStatus(String cjgStatus) {
        this.cjgStatus = cjgStatus;
    }

    /**
     * 压印喷标要求（4项之一）
     * @return value
     */
    public String getDemandCopper() {
        return demandCopper;
    }

    /**
     * 压印喷标要求（4项之一）
     * @param demandCopper value
     */
    public void setDemandCopper(String demandCopper) {
        this.demandCopper = demandCopper;
    }

    /**
     * 是否需压印
     * @return value
     */
    public String getIfImpress() {
        return ifImpress;
    }

    /**
     * 是否需压印
     * @param ifImpress value
     */
    public void setIfImpress(String ifImpress) {
        this.ifImpress = ifImpress;
    }

    /**
     * 是否委外压印（0否，1是）
     * @return value
     */
    public String getIfOutImpress() {
        return ifOutImpress;
    }

    /**
     * 是否委外压印（0否，1是）
     * @param ifOutImpress value
     */
    public void setIfOutImpress(String ifOutImpress) {
        this.ifOutImpress = ifOutImpress;
    }

    /**
     * 压印单位
     * @return value
     */
    public String getImpressDept() {
        return impressDept;
    }

    /**
     * 压印单位
     * @param impressDept value
     */
    public void setImpressDept(String impressDept) {
        this.impressDept = impressDept;
    }

    /**
     * 计划压印个数
     * @return value
     */
    public String getPlanImpressNum() {
        return planImpressNum;
    }

    /**
     * 计划压印个数
     * @param planImpressNum value
     */
    public void setPlanImpressNum(String planImpressNum) {
        this.planImpressNum = planImpressNum;
    }

    /**
     * 计划压印时间
     * @return value
     */
    public String getPlanImpressTime() {
        return planImpressTime;
    }

    /**
     * 计划压印时间
     * @param planImpressTime value
     */
    public void setPlanImpressTime(String planImpressTime) {
        this.planImpressTime = planImpressTime;
    }

    /**
     * 实际压印个数
     * @return value
     */
    public String getImpressOkNum() {
        return impressOkNum;
    }

    /**
     * 实际压印个数
     * @param impressOkNum value
     */
    public void setImpressOkNum(String impressOkNum) {
        this.impressOkNum = impressOkNum;
    }

    /**
     * 压印状态（0计划，1生产中，2生产完成，9不需压印）
     * @return value
     */
    public String getImpressStatus() {
        return impressStatus;
    }

    /**
     * 压印状态（0计划，1生产中，2生产完成，9不需压印）
     * @param impressStatus value
     */
    public void setImpressStatus(String impressStatus) {
        this.impressStatus = impressStatus;
    }

    /**
     * 是否委外车丝（0否，1是）
     * @return value
     */
    public String getIfOutLathe() {
        return ifOutLathe;
    }

    /**
     * 是否委外车丝（0否，1是）
     * @param ifOutLathe value
     */
    public void setIfOutLathe(String ifOutLathe) {
        this.ifOutLathe = ifOutLathe;
    }

    /**
     * 车丝机床组号
     * @return value
     */
    public String getLatheGrpNo() {
        return latheGrpNo;
    }

    /**
     * 车丝机床组号
     * @param latheGrpNo value
     */
    public void setLatheGrpNo(String latheGrpNo) {
        this.latheGrpNo = latheGrpNo;
    }

    /**
     * 车丝机床组
     * @return value
     */
    public String getLatheGrpNm() {
        return latheGrpNm;
    }

    /**
     * 车丝机床组
     * @param latheGrpNm value
     */
    public void setLatheGrpNm(String latheGrpNm) {
        this.latheGrpNm = latheGrpNm;
    }

    /**
     * 计划车丝个数
     * @return value
     */
    public String getPlanLatheNum() {
        return planLatheNum;
    }

    /**
     * 计划车丝个数
     * @param planLatheNum value
     */
    public void setPlanLatheNum(String planLatheNum) {
        this.planLatheNum = planLatheNum;
    }

    /**
     * 计划车丝时间
     * @return value
     */
    public String getPlanLthTime() {
        return planLthTime;
    }

    /**
     * 计划车丝时间
     * @param planLthTime value
     */
    public void setPlanLthTime(String planLthTime) {
        this.planLthTime = planLthTime;
    }

    /**
     * 计划车丝耗时(分)
     * @return value
     */
    public String getPlanLthUsetime() {
        return planLthUsetime;
    }

    /**
     * 计划车丝耗时(分)
     * @param planLthUsetime value
     */
    public void setPlanLthUsetime(String planLthUsetime) {
        this.planLthUsetime = planLthUsetime;
    }

    /**
     * 车丝有效个数
     * @return value
     */
    public String getLatheOkNum() {
        return latheOkNum;
    }

    /**
     * 车丝有效个数
     * @param latheOkNum value
     */
    public void setLatheOkNum(String latheOkNum) {
        this.latheOkNum = latheOkNum;
    }

    /**
     * 车丝报废个数
     * @return value
     */
    public String getLatheFailNum() {
        return latheFailNum;
    }

    /**
     * 车丝报废个数
     * @param latheFailNum value
     */
    public void setLatheFailNum(String latheFailNum) {
        this.latheFailNum = latheFailNum;
    }

    /**
     * 车丝状态（0计划，1生产中，2生产完成）
     * @return value
     */
    public String getLatheStatus() {
        return latheStatus;
    }

    /**
     * 车丝状态（0计划，1生产中，2生产完成）
     * @param latheStatus value
     */
    public void setLatheStatus(String latheStatus) {
        this.latheStatus = latheStatus;
    }

    /**
     * 螺纹检验有效个数
     * @return value
     */
    public String getThreadChkOkNum() {
        return threadChkOkNum;
    }

    /**
     * 螺纹检验有效个数
     * @param threadChkOkNum value
     */
    public void setThreadChkOkNum(String threadChkOkNum) {
        this.threadChkOkNum = threadChkOkNum;
    }

    /**
     * 螺纹检验报废个数
     * @return value
     */
    public String getThreadChkFailNum() {
        return threadChkFailNum;
    }

    /**
     * 螺纹检验报废个数
     * @param threadChkFailNum value
     */
    public void setThreadChkFailNum(String threadChkFailNum) {
        this.threadChkFailNum = threadChkFailNum;
    }

    /**
     * 螺纹检验状态（0计划，1检验中，2检验完成）
     * @return value
     */
    public String getThreadChkStatus() {
        return threadChkStatus;
    }

    /**
     * 螺纹检验状态（0计划，1检验中，2检验完成）
     * @param threadChkStatus value
     */
    public void setThreadChkStatus(String threadChkStatus) {
        this.threadChkStatus = threadChkStatus;
    }

    /**
     * 探伤要求（4项之一，408401）
     * @return value
     */
    public String getDemandDetection() {
        return demandDetection;
    }

    /**
     * 探伤要求（4项之一，408401）
     * @param demandDetection value
     */
    public void setDemandDetection(String demandDetection) {
        this.demandDetection = demandDetection;
    }

    /**
     * 是否委外探伤（0否，1是）
     * @return value
     */
    public String getIfOutDetect() {
        return ifOutDetect;
    }

    /**
     * 是否委外探伤（0否，1是）
     * @param ifOutDetect value
     */
    public void setIfOutDetect(String ifOutDetect) {
        this.ifOutDetect = ifOutDetect;
    }

    /**
     * 探伤单位
     * @return value
     */
    public String getDetectDept() {
        return detectDept;
    }

    /**
     * 探伤单位
     * @param detectDept value
     */
    public void setDetectDept(String detectDept) {
        this.detectDept = detectDept;
    }

    /**
     * 计划探伤时间
     * @return value
     */
    public String getPlanDetectTime() {
        return planDetectTime;
    }

    /**
     * 计划探伤时间
     * @param planDetectTime value
     */
    public void setPlanDetectTime(String planDetectTime) {
        this.planDetectTime = planDetectTime;
    }

    /**
     * 计划探伤个数
     * @return value
     */
    public String getPlanDetectNum() {
        return planDetectNum;
    }

    /**
     * 计划探伤个数
     * @param planDetectNum value
     */
    public void setPlanDetectNum(String planDetectNum) {
        this.planDetectNum = planDetectNum;
    }

    /**
     * 探伤有效个数
     * @return value
     */
    public String getDetectOkNum() {
        return detectOkNum;
    }

    /**
     * 探伤有效个数
     * @param detectOkNum value
     */
    public void setDetectOkNum(String detectOkNum) {
        this.detectOkNum = detectOkNum;
    }

    /**
     * 探伤剔废个数
     * @return value
     */
    public String getDetectFailNum() {
        return detectFailNum;
    }

    /**
     * 探伤剔废个数
     * @param detectFailNum value
     */
    public void setDetectFailNum(String detectFailNum) {
        this.detectFailNum = detectFailNum;
    }

    /**
     * 探伤状态（0计划，1生产中，2生产完成，9不需探伤）
     * @return value
     */
    public String getDetectStatus() {
        return detectStatus;
    }

    /**
     * 探伤状态（0计划，1生产中，2生产完成，9不需探伤）
     * @param detectStatus value
     */
    public void setDetectStatus(String detectStatus) {
        this.detectStatus = detectStatus;
    }

    /**
     * 是否需喷砂
     * @return value
     */
    public String getIfBlast() {
        return ifBlast;
    }

    /**
     * 是否需喷砂
     * @param ifBlast value
     */
    public void setIfBlast(String ifBlast) {
        this.ifBlast = ifBlast;
    }

    /**
     * 喷砂要求（4项之一）
     * @return value
     */
    public String getDemandBlast() {
        return demandBlast;
    }

    /**
     * 喷砂要求（4项之一）
     * @param demandBlast value
     */
    public void setDemandBlast(String demandBlast) {
        this.demandBlast = demandBlast;
    }

    /**
     * 是否委外喷砂（0否，1是）
     * @return value
     */
    public String getIfOutBlast() {
        return ifOutBlast;
    }

    /**
     * 是否委外喷砂（0否，1是）
     * @param ifOutBlast value
     */
    public void setIfOutBlast(String ifOutBlast) {
        this.ifOutBlast = ifOutBlast;
    }

    /**
     * 喷砂单位
     * @return value
     */
    public String getBlastDept() {
        return blastDept;
    }

    /**
     * 喷砂单位
     * @param blastDept value
     */
    public void setBlastDept(String blastDept) {
        this.blastDept = blastDept;
    }

    /**
     * 计划喷砂个数
     * @return value
     */
    public String getPlanBlastNum() {
        return planBlastNum;
    }

    /**
     * 计划喷砂个数
     * @param planBlastNum value
     */
    public void setPlanBlastNum(String planBlastNum) {
        this.planBlastNum = planBlastNum;
    }

    /**
     * 计划喷砂时间
     * @return value
     */
    public String getPlanBlastTime() {
        return planBlastTime;
    }

    /**
     * 计划喷砂时间
     * @param planBlastTime value
     */
    public void setPlanBlastTime(String planBlastTime) {
        this.planBlastTime = planBlastTime;
    }

    /**
     * 喷砂有效个数
     * @return value
     */
    public String getBlastOkNum() {
        return blastOkNum;
    }

    /**
     * 喷砂有效个数
     * @param blastOkNum value
     */
    public void setBlastOkNum(String blastOkNum) {
        this.blastOkNum = blastOkNum;
    }

    /**
     * 喷砂状态（0计划，1生产中，2生产完成，9不需喷砂）
     * @return value
     */
    public String getBlastStatus() {
        return blastStatus;
    }

    /**
     * 喷砂状态（0计划，1生产中，2生产完成，9不需喷砂）
     * @param blastStatus value
     */
    public void setBlastStatus(String blastStatus) {
        this.blastStatus = blastStatus;
    }

    /**
     * 抽检有效个数
     * @return value
     */
    public String getSpotChkOkNum() {
        return spotChkOkNum;
    }

    /**
     * 抽检有效个数
     * @param spotChkOkNum value
     */
    public void setSpotChkOkNum(String spotChkOkNum) {
        this.spotChkOkNum = spotChkOkNum;
    }

    /**
     * 抽检剔废个数
     * @return value
     */
    public String getSpotChkFailNum() {
        return spotChkFailNum;
    }

    /**
     * 抽检剔废个数
     * @param spotChkFailNum value
     */
    public void setSpotChkFailNum(String spotChkFailNum) {
        this.spotChkFailNum = spotChkFailNum;
    }

    /**
     * 抽检状态（0计划，1生产中，2生产完成，9不抽检）
     * @return value
     */
    public String getSpotChkStatus() {
        return spotChkStatus;
    }

    /**
     * 抽检状态（0计划，1生产中，2生产完成，9不抽检）
     * @param spotChkStatus value
     */
    public void setSpotChkStatus(String spotChkStatus) {
        this.spotChkStatus = spotChkStatus;
    }

    /**
     * 磷化镀铜要求（4项之一，408402）
     * @return value
     */
    public String getDemandBonderizing() {
        return demandBonderizing;
    }

    /**
     * 磷化镀铜要求（4项之一，408402）
     * @param demandBonderizing value
     */
    public void setDemandBonderizing(String demandBonderizing) {
        this.demandBonderizing = demandBonderizing;
    }
}